Summary: The GNU versions of grep pattern matching utilities.
Name: grep
%define version 2.4.2
Version: %{version}
Release: 3tr
License: GPL
Group: Environment/Text
Source: ftp://ftp.gnu.org/gnu/grep/grep-%{version}.tar.gz
Buildroot: /var/tmp/grep-root
PreReq: /sbin/install-info

%description
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.  

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/%{_prefix} --exec-prefix=/ --mandir=%{_mandir} --infodir=%{_prefix}/share/info
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
#make LDFLAGS=-s prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT \
#	infodir=$RPM_BUILD_ROOT/usr/share/info \
#	mandir=$RPM_BUILD_ROOT/usr/share/man install
make LDFLAGS=-s prefix=$RPM_BUILD_ROOT/%{_prefix} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ABOUT-NLS AUTHORS THANKS TODO NEWS README ChangeLog

/bin/*
/usr/share/info/*.info*
/usr/share/man/*/*

%post
/sbin/install-info --quiet --info-dir=/usr/share/info /usr/share/info/grep.info*

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --quiet --info-dir=/usr/share/info --delete /usr/share/info/grep.info*
fi

%changelog
* Tue Jul 17 2001 Erlend Midttun <erlendbm@trustix.com>
- Inc serial number before release.

* Thu May 11 2000 Oystein Viggen <oysteivi@trustix.com>
- version 2.4.2

* Mon Jan 24 2000 Tore Olsen <toreo@trustix.com>
- upgraded to 2.4
- moved man and info directories to /usr/share for FHS compliance
- removed locales.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to grep 2.3, added install-info %post/%preun for info

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.0 to 2.1
- spec file cleanups
- added BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
